--[[
###############
Inked: keivamp#
###############
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local LSM = LibStub("LibSharedMedia-3.0")

local playerColor = RAID_CLASS_COLORS[select(2, UnitClass('player'))]
local InkedColors = {r = playerColor.r*0.75, g = playerColor.g*0.75,b = playerColor.b*0.75,a = 1}
local InkedColorsHightlight = {r = playerColor.r*0.75, g = playerColor.g*0.75,b = playerColor.b*0.75,a = 0.1}

local HightlightTex = "Interface\\Addons\\Inked\\Graphics\\Buttons\\AB_ButtonsHoverTex"
local PushedTex = "Interface\\Addons\\Inked\\Graphics\\Buttons\\AB_ButtonsPushedTex"
local CountFont = "Interface\\Addons\\Inked\\Fonts\\SF Comic Script.ttf"
local CountFontSize = 13
local CountFontOutline = "OUTLINE"
local NameFont = "Interface\\Addons\\Inked\\Fonts\\Roboto.ttf"
local NameFontSize = 9
local NameFontOutline = "THINOUTLINE"

local ButtonSize = 40
local MySpacing = 1
local BorderSize = 12
local BorderPadding = 0

local MoverAB6 = CreateFrame("Frame","AB6Drag",UIParent, BackdropTemplateMixin and "BackdropTemplate")
	MoverAB6:SetSize((ButtonSize * 12)+12, ButtonSize)
	--MoverAB6:SetPoint("CENTER", UIParent,"BOTTOM",220.5, 65.5)
	MoverAB6:SetFrameStrata("FULLSCREEN_DIALOG")
	MoverAB6:SetClampedToScreen(true)
	MoverAB6:SetClampRectInsets(0, 0, 0,0)
local MoverAB6Text  = MoverAB6:CreateFontString(nil, "OVERLAY")
	MoverAB6Text:SetFont("Interface\\Addons\\Inked\\Fonts\\Cooline.TTF", 15, "OUTLINE")
	MoverAB6Text:SetPoint("CENTER",MoverAB6,"CENTER", 0,0); 
	MoverAB6Text:SetText("")
	

local function UpdateMe()
	if(Inked.db.profile.lockframes == false) then
		if Inked.db.profile.AB6Enable == true then
			local point, relativeTo, relativePoint, xOfs, yOfs = MoverAB6:GetPoint(n)
				Inked.db.profile.MoverAB6X = xOfs
				Inked.db.profile.MoverAB6Y = yOfs
				Inked.db.profile.MoverAB6Point = point
				--Inked.db.profile.MoverAB6RelPoint = relativePoint
				--print(point.." "..relativePoint)
				MoverAB6Text:SetText("Inked Bar 6")		
		end
	end	

end	

local InkedSettingsFrame = CreateFrame("Frame")	
	InkedSettingsFrame:HookScript("OnUpdate",UpdateMe) 
	
local function CreateMoverBackdrop(frame)
	frame:SetBackdrop({bgFile = "Interface\\Buttons\\WHITE8x8",
	insets = {top = -2, left = -2, bottom = -2, right = -2}})
	frame:SetBackdropColor(0,0.55,0.95,0.45)
	frame:SetBackdropBorderColor(0,0,0,1)
end



local function MakeBar6()
	if Inked.db.profile.UseActionBars == false then return end
	local InkedBar6 = CreateFrame("Frame", nil, UIParent, BackdropTemplateMixin and "BackdropTemplate")
	InkedBar6:SetAllPoints(MoverAB6)

	ButtonSize = Inked.db.profile.AB6ButtonSize
	local ThisTexture = ("Interface\\Addons\\Inked\\Graphics\\Buttons\\InkedButtons")
		InkedBar6config = {
				outOfRangeColoring = "button",
				tooltip = "enabled",
				showGrid = true,
				colors = {
					range = { 0.8, 0.1, 0.1 },
					mana = { 0.5, 0.5, 1.0 }
				},
				hideElements = {
					macro = false,
					hotkey = false,
					equipped = false,
				},
				keyBoundTarget = false,
				clickOnDown = false,
				flyoutDirection = "UP",	
			}
		CreateFrame("Frame", "InkedActionBar6", UIParent, "SecureHandlerStateTemplate")
		InkedActionBar6:SetParent(InkedBar6)
		InkedActionBar6:SetPoint("RIGHT", InkedBar6,"LEFT",ButtonSize/2,0)
		RegisterStateDriver(InkedActionBar6, "vehicle", "[petbattle][overridebar] hide;show")	
		InkedActionBar6:SetAttribute("_onstate-vehicle", [[
			if newstate == "hide" then
			  self:Hide();
			else
			  self:Show();
			end
		]]) 
		--local ButtonSize = Inked.db.profile.ButtonSize
		--local lastnumber = 13 + Inked.db.profile.Bar6ButtonNumber
		local lastnumber = 13 + 12
		-- for i = 13,lastnumber-1 do
			-- local Inkedbutton6 = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
			-- local normalBar6 = _G["InkedbuttonBar"..i]									
			-- normalBar6.NormalTexture:Hide()
		-- end
			

	if Inked.db.profile.AB6Enable == true then
		InkedBar6:Show()
		if Inked.db.profile.Bar6BarLayout == 1 then
					for i = 13,lastnumber-1 do -- bar 1
						local Inkedbutton6 = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
						Inkedbutton6:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-13)*(ButtonSize+MySpacing*1.5),0)
						Inkedbutton6:Show()
						Inkedbutton6:SetState(0, "action", i)
						Inkedbutton6:SetSize(ButtonSize,ButtonSize)
						Inkedbutton6:SetAttribute("buttonlock",true)
						Inkedbutton6:SetAttribute("checkselfcast",true)
						Inkedbutton6:SetAttribute("checkfocuscast",true)
						Inkedbutton6:UpdateConfig(InkedBar6config)
						local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
					end
				--	InkedActionBar6:SetPoint("LEFT", InkedBar6,0,0)
				elseif Inked.db.profile.Bar6BarLayout == 2 then
					MoverAB6:SetSize(ButtonSize*6, ButtonSize* 2)
					InkedActionBar6:SetPoint("LEFT", InkedBar6,4,20)
					if lastnumber > 18 then
						for i = 13,18 do -- bar 1
							local Inkedbutton6 = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-13)*ButtonSize,0)
							Inkedbutton6:Show()
							Inkedbutton6:SetState(0, "action", i)
							Inkedbutton6:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6:SetAttribute("buttonlock",true)
							Inkedbutton6:SetAttribute("checkselfcast",true)
							Inkedbutton6:SetAttribute("checkfocuscast",true)
							Inkedbutton6:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end
						for i = 19,lastnumber-1 do -- bar 1
							local Inkedbutton6a = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6a:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-19)*ButtonSize,-(ButtonSize+1))
							Inkedbutton6a:Show()
							Inkedbutton6a:SetState(0, "action", i)
							Inkedbutton6a:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6a:SetAttribute("buttonlock",true)
							Inkedbutton6a:SetAttribute("checkselfcast",true)
							Inkedbutton6a:SetAttribute("checkfocuscast",true)
							Inkedbutton6a:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end
					else
						for i = 13,lastnumber-1 do -- bar 1
							local Inkedbutton6 = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-13)*ButtonSize,0)
							Inkedbutton6:Show()
							Inkedbutton6:SetState(0, "action", i)
							Inkedbutton6:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6:SetAttribute("buttonlock",true)
							Inkedbutton6:SetAttribute("checkselfcast",true)
							Inkedbutton6:SetAttribute("checkfocuscast",true)
							Inkedbutton6:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end					
					end
							
				elseif Inked.db.profile.Bar6BarLayout == 3 then
					MoverAB6:SetSize(ButtonSize*4, ButtonSize* 3)
					InkedActionBar6:SetPoint("LEFT", InkedBar6,8,33)
					if lastnumber > 16 then
						for i = 13,16 do -- bar 1
							local Inkedbutton6 = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-13)*ButtonSize,0)
							Inkedbutton6:Show()
							Inkedbutton6:SetState(0, "action", i)
							Inkedbutton6:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6:SetAttribute("buttonlock",true)
							Inkedbutton6:SetAttribute("checkselfcast",true)
							Inkedbutton6:SetAttribute("checkfocuscast",true)
							Inkedbutton6:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end
						for i = 17,20 do -- bar 1
							local Inkedbutton6a = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6a:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-17)*ButtonSize,-(ButtonSize+1))
							Inkedbutton6a:Show()
							Inkedbutton6a:SetState(0, "action", i)
							Inkedbutton6a:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6a:SetAttribute("buttonlock",true)
							Inkedbutton6a:SetAttribute("checkselfcast",true)
							Inkedbutton6a:SetAttribute("checkfocuscast",true)
							Inkedbutton6a:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end
						for i = 21,lastnumber-1 do -- bar 1
							local Inkedbutton6b = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6b:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-21)*ButtonSize,-(ButtonSize+1)*2)
							Inkedbutton6b:Show()
							Inkedbutton6b:SetState(0, "action", i)
							Inkedbutton6b:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6b:SetAttribute("buttonlock",true)
							Inkedbutton6b:SetAttribute("checkselfcast",true)
							Inkedbutton6b:SetAttribute("checkfocuscast",true)
							Inkedbutton6b:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end
					else
						for i = 13,lastnumber-1 do -- bar 1
							local Inkedbutton6 = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-13)*ButtonSize,0)
							Inkedbutton6:Show()
							Inkedbutton6:SetState(0, "action", i)
							Inkedbutton6:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6:SetAttribute("buttonlock",true)
							Inkedbutton6:SetAttribute("checkselfcast",true)
							Inkedbutton6:SetAttribute("checkfocuscast",true)
							Inkedbutton6:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end					
					end
				
				elseif Inked.db.profile.Bar6BarLayout == 4 then
					InkedActionBar6:SetPoint("TOPLEFT", InkedBar6,"BOTTOMRIGHT",-15,15)
					MoverAB6:SetSize(ButtonSize, ButtonSize* 12)
					for i = 13,lastnumber-1 do -- bar 1
						local Inkedbutton6 = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
						Inkedbutton6:SetPoint("CENTER", InkedActionBar6,"CENTER",0,(i-13)*ButtonSize)
						Inkedbutton6:Show()
						Inkedbutton6:SetState(0, "action", i)
						Inkedbutton6:SetSize(ButtonSize,ButtonSize)
						Inkedbutton6:SetAttribute("buttonlock",true)
						Inkedbutton6:SetAttribute("checkselfcast",true)
						Inkedbutton6:SetAttribute("checkfocuscast",true)
						Inkedbutton6:UpdateConfig(InkedBar6config)
						local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
					end
				elseif Inked.db.profile.Bar6BarLayout == 5 then
					MoverAB6:SetSize(ButtonSize*2, ButtonSize* 6)
					InkedActionBar6:SetPoint("TOPLEFT", InkedBar6,"BOTTOMRIGHT",10,15)
					if lastnumber > 18 then
						for i = 13,18 do -- bar 1
							local Inkedbutton6 = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6:SetPoint("CENTER", InkedActionBar6,"CENTER",0,(i-13)*ButtonSize)
							Inkedbutton6:Show()
							Inkedbutton6:SetState(0, "action", i)
							Inkedbutton6:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6:SetAttribute("buttonlock",true)
							Inkedbutton6:SetAttribute("checkselfcast",true)
							Inkedbutton6:SetAttribute("checkfocuscast",true)
							Inkedbutton6:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end
						for i = 19,lastnumber-1 do -- bar 1
							local Inkedbutton6a = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6a:SetPoint("CENTER", InkedActionBar6,"CENTER",-ButtonSize,(i-19)*ButtonSize)
							Inkedbutton6a:Show()
							Inkedbutton6a:SetState(0, "action", i)
							Inkedbutton6a:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6a:SetAttribute("buttonlock",true)
							Inkedbutton6a:SetAttribute("checkselfcast",true)
							Inkedbutton6a:SetAttribute("checkfocuscast",true)
							Inkedbutton6a:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end
					else
						for i = 13,lastnumber-1 do -- bar 1
							local Inkedbutton6 = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-13)*ButtonSize,0)
							Inkedbutton6:Show()
							Inkedbutton6:SetState(0, "action", i)
							Inkedbutton6:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6:SetAttribute("buttonlock",true)
							Inkedbutton6:SetAttribute("checkselfcast",true)
							Inkedbutton6:SetAttribute("checkfocuscast",true)
							Inkedbutton6:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end					
					end
				
				elseif Inked.db.profile.Bar6BarLayout == 6 then
					MoverAB6:SetSize(ButtonSize*3, ButtonSize*4)
					InkedActionBar6:SetPoint("LEFT", InkedBar6,10,52)
					if lastnumber > 15 then
						for i = 13,15 do -- bar 1
							local Inkedbutton6 = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-13)*ButtonSize,0)
							Inkedbutton6:Show()
							Inkedbutton6:SetState(0, "action", i)
							Inkedbutton6:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6:SetAttribute("buttonlock",true)
							Inkedbutton6:SetAttribute("checkselfcast",true)
							Inkedbutton6:SetAttribute("checkfocuscast",true)
							Inkedbutton6:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end
						for i = 16,18 do -- bar 1
							local Inkedbutton6a = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6a:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-16)*ButtonSize,-(ButtonSize+1))
							Inkedbutton6a:Show()
							Inkedbutton6a:SetState(0, "action", i)
							Inkedbutton6a:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6a:SetAttribute("buttonlock",true)
							Inkedbutton6a:SetAttribute("checkselfcast",true)
							Inkedbutton6a:SetAttribute("checkfocuscast",true)
							Inkedbutton6a:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end
						for i = 19,21 do -- bar 1
							local Inkedbutton6b = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6b:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-19)*ButtonSize,-(ButtonSize+1)*2)
							Inkedbutton6b:Show()
							Inkedbutton6b:SetState(0, "action", i)
							Inkedbutton6b:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6b:SetAttribute("buttonlock",true)
							Inkedbutton6b:SetAttribute("checkselfcast",true)
							Inkedbutton6b:SetAttribute("checkfocuscast",true)
							Inkedbutton6b:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end
						for i = 22,lastnumber-1 do -- bar 1
							local Inkedbutton6c = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6c:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-22)*ButtonSize,-(ButtonSize+1)*3)
							Inkedbutton6c:Show()
							Inkedbutton6c:SetState(0, "action", i)
							Inkedbutton6c:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6c:SetAttribute("buttonlock",true)
							Inkedbutton6c:SetAttribute("checkselfcast",true)
							Inkedbutton6c:SetAttribute("checkfocuscast",true)
							Inkedbutton6c:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end
					else
						for i = 13,lastnumber-1 do -- bar 1
							local Inkedbutton6 = LibStub("LibActionButton-1.0"):CreateButton(1, "InkedbuttonBar"..i, InkedActionBar6)
							Inkedbutton6:SetPoint("CENTER", InkedActionBar6,"CENTER",(i-13)*ButtonSize,0)
							Inkedbutton6:Show()
							Inkedbutton6:SetState(0, "action", i)
							Inkedbutton6:SetSize(ButtonSize,ButtonSize)
							Inkedbutton6:SetAttribute("buttonlock",true)
							Inkedbutton6:SetAttribute("checkselfcast",true)
							Inkedbutton6:SetAttribute("checkfocuscast",true)
							Inkedbutton6:UpdateConfig(InkedBar6config)
							local normalBar6 = _G["InkedbuttonBar"..i]									
							normalBar6.NormalTexture:Hide()
						end					
					end
					
				
				end -- end folds
					for i = 13,24 do -- bar 6
							local normalBar6 = _G["InkedbuttonBar"..i]	
							local Highlight = normalBar6:GetHighlightTexture()						
							local Pushed = normalBar6:GetPushedTexture()
							
							Highlight:SetTexture(HightlightTex)
							Highlight:SetVertexColor(InkedColorsHightlight.r,InkedColorsHightlight.g,InkedColorsHightlight.b,InkedColorsHightlight.a)
							Pushed:SetTexture(PushedTex)	
															
													
							local count = _G[normalBar6:GetName()..'Count']
							count:SetFont(CountFont,CountFontSize,CountFontOutline)
							local name = _G[normalBar6:GetName()..'Name']
							name:SetWidth(55)
							name:SetFont(NameFont,NameFontSize,NameFontOutline)
							-- local fbg  = _G["InkedbuttonBar"..i.."FloatingBG"]
							 -- if fbg then fbg:Hide()end
							normalBar6:CreateBeautyBorder(BorderSize)
							normalBar6:SetBeautyBorderPadding(BorderPadding)
							normalBar6:SetBeautyBorderTexture("white")
							normalBar6:SetBeautyBorderColor(InkedColors.r,InkedColors.g,InkedColors.b,1)
							if Inked.db.profile.ClassABColor == true then
								normalBar6:SetBeautyBorderColor(InkedColors.r,InkedColors.g,InkedColors.b,1)
							elseif Inked.db.profile.ClassABColor == false then
								if Inked.db.profile.CustomABColor == true then
									normalBar6:SetBeautyBorderColor(Inked.db.profile.ABColorR,Inked.db.profile.ABColorG,Inked.db.profile.ABColorB,Inked.db.profile.ABColorA)
								elseif Inked.db.profile.CustomABColor == false then
									normalBar6:SetBeautyBorderColor(1,1,1,1)
								end
							end
		normalBar6.NormalTexture:Hide()	
						end
		end
		if(Inked.db.profile.lockframes == false) then
			MoverAB6:ClearAllPoints()
			if Inked.db.profile.MoverAB6Point == nil then
				MoverAB6:SetPoint("BOTTOM", UIParent,Inked.db.profile.MoverAB6X,Inked.db.profile.MoverAB6Y)
			else
				MoverAB6:SetPoint(Inked.db.profile.MoverAB6Point, UIParent,Inked.db.profile.MoverAB6X,Inked.db.profile.MoverAB6Y)
			end
			if Inked.db.profile.AB6Enable == true then
				CreateMoverBackdrop(MoverAB6)
				MoverAB6:SetMovable(true)
				MoverAB6:EnableMouse(true)
				MoverAB6:RegisterForDrag("LeftButton")
				MoverAB6:SetScript("OnDragStart", MoverAB6.StartMoving)
				MoverAB6:SetScript("OnDragStop", MoverAB6.StopMovingOrSizing)
				MoverAB6:SetUserPlaced(true)
			end
			elseif Inked.db.profile.MoverAB6Point == nil then
				MoverAB6:SetPoint("BOTTOM", UIParent,Inked.db.profile.MoverAB6X,Inked.db.profile.MoverAB6Y)
			else
				MoverAB6:SetPoint(Inked.db.profile.MoverAB6Point, UIParent,Inked.db.profile.MoverAB6X,Inked.db.profile.MoverAB6Y)
		end
end		
		local InkedLoginFrame=CreateFrame("Frame")
		InkedLoginFrame:RegisterEvent("PLAYER_LOGIN")
		InkedLoginFrame:RegisterEvent("CINEMATIC_STOP")
		InkedLoginFrame:SetScript("OnEvent", function(self, event) 
			MakeBar6()									
		end)